%global srcname tablib

Name:             python-tablib
Version:          3.0.0
Release:          2%{?dist}
Summary:          Format agnostic tabular data library (XLS, JSON, YAML, CSV)

License:          MIT
URL:              http://github.com/kennethreitz/tablib
Source0:          %{pypi_source}
BuildArch:        noarch

%global _description\
Tablib is a format-agnostic tabular dataset library, written in Python.\
\
Output formats supported:\
\
 - Excel (Sets + Books)\
 - JSON (Sets + Books)\
 - YAML (Sets + Books)\
 - HTML (Sets)\
 - TSV (Sets)\
 - CSV (Sets)

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
# ods
Requires:       python3dist(odfpy)
# xls
Requires:       python3dist(xlrd)
Requires:       python3dist(xlwt)
# xlsx
Requires:       python3dist(openpyxl) >= 2.6.0
# yaml
Requires:       python3dist(pyyaml)

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
 
%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/tablib-*.egg-info/
%{python3_sitelib}/tablib/

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

%autochangelog
